{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"},"zimbra.OfferEnum":{"type":"string","description":"Commercial name of the offer","enum":["PRO","STARTER"]},"zimbra.OfferStatistics":{"type":"object","description":"Statistics per offer","properties":{"availableAccountsCount":{"type":"integer","description":"Total number of accounts on this offer that can be configured","readOnly":true},"configuredAccountsCount":{"type":"integer","description":"Number of accounts on the offer that are configured","readOnly":true},"offer":{"allOf":[{"$ref":"#/components/schemas/zimbra.OfferEnum"}],"description":"Commercial name of the offer","readOnly":true}}},"zimbra.OrganizationCurrentState":{"type":"object","description":"Object representing organization","properties":{"accountsStatistics":{"type":"array","description":"Statistics of accounts on the organization","items":{"$ref":"#/components/schemas/zimbra.OfferStatistics"},"readOnly":true},"createdAt":{"type":"string","description":"Date of creation","format":"date-time","readOnly":true},"description":{"type":"string","description":"Description of the organization","nullable":true,"readOnly":true},"label":{"type":"string","description":"Short name of the organization","readOnly":true},"name":{"type":"string","description":"Name of the organization","readOnly":true},"storageConsumed":{"type":"number","description":"Size of consumed storage by all accounts","readOnly":true},"updatedAt":{"type":"string","description":"Last update date","nullable":true,"format":"date-time","readOnly":true}}},"zimbra.OrganizationPostPayload":{"type":"object","description":"Object representing POST organization route payload","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/zimbra.OrganizationPostTargetSpec"}],"description":"Target organization specification"}},"required":["targetSpec"]},"zimbra.OrganizationPostTargetSpec":{"type":"object","description":"Object representing organization","properties":{"description":{"type":"string","description":"Description of the organization","nullable":true},"label":{"type":"string","description":"Short name of the organization"},"name":{"type":"string","description":"Name of the organization"}},"required":["label","name"]},"zimbra.OrganizationPutPayload":{"type":"object","description":"Object representing PUT account route payload","properties":{"checksum":{"type":"string","description":"Known checksum of the resource, allowing to prevent unwanted side effects"},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/zimbra.OrganizationPutTargetSpec"}],"description":"Target organization specification"}},"required":["targetSpec"]},"zimbra.OrganizationPutTargetSpec":{"type":"object","description":"Object representing organization","properties":{"description":{"type":"string","description":"Description of the organization","nullable":true},"label":{"type":"string","description":"Short name of the organization"},"name":{"type":"string","description":"Name of the organization"}}},"zimbra.OrganizationResponse":{"type":"object","description":"Response for get organization","properties":{"checksum":{"type":"string","description":"Checksum hash in MD5 representation","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/zimbra.OrganizationCurrentState"}],"description":"Object representing organization","readOnly":true},"currentTasks":{"type":"array","description":"An array containing tasks responses pending on resource extends AsyncResourceBase object","items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Resource identifier in UUID representation","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Current resource status","readOnly":true},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/zimbra.OrganizationPutTargetSpec"}],"description":"Object representing organization","readOnly":true}}}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/zimbra/platform/{platformId}/organization":{"get":{"operationId":"getAllZimbraOrganizations","summary":"List organizations","description":"Returns the organizations of the platform with their current state. Filter them by `organizationName`.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"organizationName","description":"Filter by organization name","schema":{"type":"string"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/zimbra.OrganizationResponse"}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Organizations@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/zimbra/platform/{platformId}/organization\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/zimbra/platform/{platformId}/organization\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/organization/get","required":true}],"x-response-identifier":"id","x-expanded-response":"ZimbraOrganizationResponse"},"post":{"operationId":"createZimbraOrganization","summary":"Create an organization","description":"Creates an organization from its `name`, its `label` and an optional `description`. The label is a short name that must be unique on the platform. Creation is asynchronous: follow `resourceStatus` and `currentTasks`.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.OrganizationPostPayload"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.OrganizationResponse"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::LabelExceedsMaxLength":{"value":{"class":"Client::BadRequest::LabelExceedsMaxLength","message":"Label exceeds maximum length of {{.LABEL_MAX_LENGTH}} characters"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::LabelAlreadyExistInThisPlatform":{"value":{"class":"Client::Conflict::LabelAlreadyExistInThisPlatform","message":"Label already exists inside platform"}},"Client::Conflict::OrganizationExists":{"value":{"class":"Client::Conflict::OrganizationExists","message":"Organization already created"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Organizations@@@30"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: zimbra.OrganizationPostPayload\nresult = client.post(\"/v2/zimbra/platform/{platformId}/organization\",\n\ttargetSpec = None, # Target organization specification (type: zimbra.OrganizationPostTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: zimbra.OrganizationPostPayload\n$result = $ovh->post(\"/v2/zimbra/platform/{platformId}/organization\", array(\n\ttargetSpec => null, // Target organization specification (type: zimbra.OrganizationPostTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/organization/create","required":true}]}},"/zimbra/platform/{platformId}/organization/{organizationId}":{"delete":{"operationId":"deleteZimbraOrganization","summary":"Delete an organization","description":"Deletes the organization. An organization still linked to domains cannot be deleted.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"organizationId","description":"Organization ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Organizations@@@40"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/zimbra/platform/{platformId}/organization/{organizationId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/zimbra/platform/{platformId}/organization/{organizationId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/organization/delete","required":true}]},"get":{"operationId":"getZimbraOrganization","summary":"Get an organization","description":"Returns the name, label and description of the organization, its storage consumed and its account statistics per offer.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"organizationId","description":"Organization ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.OrganizationResponse"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::OrganizationNotFound":{"value":{"class":"Client::NotFound::OrganizationNotFound","message":"The organization was not found"}},"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Organizations@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/zimbra/platform/{platformId}/organization/{organizationId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/zimbra/platform/{platformId}/organization/{organizationId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/organization/get","required":true}],"x-response-identifier":"id"},"put":{"operationId":"editZimbraOrganization","summary":"Update an organization","description":"Updates the name, label or description of the organization. When set, `checksum` must match the current checksum of the organization, otherwise the update is rejected.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"organizationId","description":"Organization ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.OrganizationPutPayload"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.OrganizationResponse"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::LabelExceedsMaxLength":{"value":{"class":"Client::BadRequest::LabelExceedsMaxLength","message":"Label exceeds maximum length of {{.LABEL_MAX_LENGTH}} characters"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::InvalidOrganizationOwnership":{"value":{"class":"Client::NotFound::InvalidOrganizationOwnership","message":"Invalid organization ownership"}},"Client::NotFound::OrganizationNotFound":{"value":{"class":"Client::NotFound::OrganizationNotFound","message":"The organization was not found"}},"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}},"409":{"description":"Error 409 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::Conflict::LabelAlreadyExistInThisPlatform":{"value":{"class":"Client::Conflict::LabelAlreadyExistInThisPlatform","message":"Label already exists inside platform"}},"Client::Conflict::UndesiredObjectStatus":{"value":{"class":"Client::Conflict::UndesiredObjectStatus","message":"The object is in an undesired status"}}}}}},"412":{"description":"Error 412 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::PreconditionFailed::InvalidChecksum":{"value":{"class":"Client::PreconditionFailed::InvalidChecksum","message":"The checksum is invalid because the object has expired"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Organizations@@@50"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: zimbra.OrganizationPutPayload\nresult = client.put(\"/v2/zimbra/platform/{platformId}/organization/{organizationId}\",\n\tchecksum = None, # Known checksum of the resource, allowing to prevent unwanted side effects (type: string)\n\ttargetSpec = None, # Target organization specification (type: zimbra.OrganizationPutTargetSpec)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: zimbra.OrganizationPutPayload\n$result = $ovh->put(\"/v2/zimbra/platform/{platformId}/organization/{organizationId}\", array(\n\tchecksum => null, // Known checksum of the resource, allowing to prevent unwanted side effects (type: string)\n\ttargetSpec => null, // Target organization specification (type: zimbra.OrganizationPutTargetSpec)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/organization/edit","required":true}]}}}}
